---
layout: markdown_page
title: "Upbound Announces Crossplane Integration with GitLab 12.5 Release to Advance Multicloud Future"
---

_Users Can Now Manage Workflows for Multiple Cloud Services from a Single Interface in GitLab Using the Crossplane Integration_

**SAN DIEGO, CA —  November 18, 2019 —** **MulticloudCon —** [Upbound](https://upbound.io/), the company behind the popular open source projects Rook and [Crossplane](https://crossplane.io/), today announced with [GitLab](https://about.gitlab.com/company/), the DevOps platform delivered as a single application, an integration to manage multiple cloud services from a single interface in GitLab. Available with the 12.5 release of GitLab, users can easily install Crossplane into Kubernetes clusters managed by GitLab from the GitLab user interface. This important integration allows for continuous deployment of Kubernetes apps that use managed cloud services across Google Cloud, Amazon Web Services, and Microsoft Azure. With the Crossplane integration, engineers can provision cloud services from GitLab pipelines or using GitLab’s Auto DevOps feature.

Crossplane is a community-driven, open source control plane based on the Kubernetes API, allowing companies the ability to standardize on a single declarative API to manage their applications and infrastructure. With Crossplane, companies can extend their investment in cloud-native solutions to the rest of their cloud infrastructure.

“We are excited to have Crossplane now available as a managed application in GitLab,” said Sid Sijbrandij, CEO at GitLab. “As part of GitLab’s Kubernetes Integration, you can install Crossplane to your cluster with a few clicks and take advantage of a consistent workflow across multiple clouds.”

This integration is part of a [continuing partnership between GitLab and Upbound](https://about.gitlab.com/blog/2019/05/20/gitlab-first-deployed-kubernetes-api-to-multiple-clouds/). You can use [Crossplane to deploy GitLab](https://about.gitlab.com/blog/2018/12/04/opensource-multi-cloud-crossplane/), and now you can use GitLab to deploy Crossplane to securely consume cloud infrastructure for Kubernetes applications deployed with GitLab. With GitLab and Crossplane, users can deploy their software across computing environments. In addition, the two companies partnered to launch the first [MulticloudCon](https://multicloudcon.io/), a co-located KubeCon conference addressing important topics in the enterprise multicloud journey.

“In this new era of cloud computing, companies are increasingly adopting differentiated cloud services from multiple vendors,” said Bassam Tabbara, CEO and Founder of Upbound. “To address the complexity of managing heterogeneous cloud services, we recognized the need for an open source and community-driven effort to standardize on an API and automation. This was our motivation for starting the Crossplane project.”

Crossplane continues to mature and advance at a rapid pace, with the recent release of v0.5 and the engagement with companies like DigitalOcean, YugabyteDB, Packet, Pivotal PKS, Rancher, and CockroachDB. The momentum continues to build with the Crossplane community engagement around extending Crossplane to add support for additional cloud providers, managed Kubernetes offerings, and managed cloud services. Through the integration into GitLab with the 12.5 release, Crossplane is now reaching further stages of stability and is ready for GitOps dev and test pipelines today.

#### About Upbound

Upbound is a cloud-native computing company enabling organizations to run, scale, and optimize their services across multiple cloud environments. As creators of the popular open source projects Rook and Crossplane, Upbound has become a leader in the Kubernetes ecosystem and with the Cloud Native Computing Foundation. Follow Upbound on Twitter [@Upbound_io](https://twitter.com/upbound_io) and on GitHub [here](https://github.com/upbound).

#### About GitLab

GitLab is a DevOps platform built from the ground up as a single application for all stages of the DevOps lifecycle enabling Product, Development, QA, Security, and Operations teams to work concurrently on the same project. GitLab provides teams a single data store, one user interface, and one permission model across the DevOps lifecycle, allowing teams to collaborate and work on a project from a single conversation, significantly reducing cycle time and focus exclusively on building great software quickly. Built on open source, GitLab leverages the community contributions of thousands of developers and millions of users to continuously deliver new DevOps innovations. More than 100,000 organizations from startups to global enterprise organizations, including Ticketmaster, Jaguar Land Rover, NASDAQ, Dish Network, and Comcast trust GitLab to deliver great software at new speeds.

#### Media Contact
Upbound
<br>
Moka Pantages
<br>
press@upbound.io
<br>
<br>
Natasha Woods
<br>
GitLab
<br>
nwoods@gitlab.com
<br>
(415) 312-5289
